Get all campaigns
get
/hcmRestApi/resources/11.13.18.05/communicateUICampaignDetails
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds all campaigns using a unique identifier.
Finder Variables- CampaignId; integer; Internal identifier for the campaign.
- RowFinder Finds all campaigns using a row finder.
Finder Variables
- PrimaryKey Finds all campaigns using a unique identifier.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- ActivatedOnDate; string; Date on which campaign was scheduled.
- AudEmailLimitEnabledFlag; boolean; Indicates whether the audience email limit is enabled or not.
- AudienceCount; integer; Total audience count associated with a campaign.
- AudienceSavedSearchId; integer; Audience based search criteria saved by the user.
- CampaignCode; string; Campaign number.
- CampaignDurationCode; string; Identifies whether the campaign is ongoing or one-time.
- CampaignId; integer; Internal identifier for the campaign.
- CampaignLanguageCode; string; Language associated with the campaign.
- CampaignMediumCode; string; Indicates whether the campaign is an email and message or post based campaign.
- CampaignName; string; Name of the campaign.
- CampaignStatusCode; string; Lookup code associated with campaign status.
- CampaignStatusMeaning; string; Campaign status.
- CampaignTypeCode; string; Indicates whether the campaign is recruiting or communicate campaign.
- CancelledOnDate; string; Date on which the campaign was canceled.
- ClosedOnDate; string; Date on which the campaign was closed.
- CreatedBy; string; Person who created the campaign.
- CreationDate; string; Date on which the campaign was created.
- EligObjId; integer; Internal key defined for the combination of the campaign and audience selection.
- EligPrflId; integer; Internal identifier for the eligibility profile associated with a campaign audience.
- HCMListExtractionDate; string; Date when the HCM list was extracted.
- HCMListId; integer; Internal identifier for the HCM list associated with a campaign audience.
- LastUpdateDate; string; Date on which the campaign was last updated.
- LastUpdateLogin; string; Session login associated to the user who last updated the campaign.
- LastUpdatedBy; string; Person who last updated the campaign.
- ObjectVersionNumber; integer; Version number of the campaign row that the user retrieved.
- PurposeCode; string; Campaign purpose.
- RequisitionSavedSearchId; integer; Requisition based search criteria saved by the user.
- ResponseOption; string; Setting which allows the campaign manager to show or hide responses from the audience.
- SearchRequisitionsFlag; boolean; Indicates whether the associated job requisition is fetched by a query or not.
- TargetGoalValue; integer; Target goal value for a campaign.
- TeamDownloadAudienceFlag; boolean; Indicates whether the team can download the audience list. Valid values are Yes and No. Default is No.
- TeamId; integer; Internal identifier for the communication team.
- TeamName; string; Communication team name.
- VanityConfigId; integer; Internal identifier for a sender profile associated with a campaign.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : communicateUICampaignDetails
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : communicateUICampaignDetails-item-response
Type:
Show Source
object-
ActivatedOnDate: string
(date-time)
Title:
Activation DateDate on which campaign was scheduled. -
assetDetails: array
Campaign Channel Details
Title:
Campaign Channel DetailsThe assetDetails resource provides details on how to create and update channels on the campaign. -
assetMetrics: array
Campaign Asset Metrics
Title:
Campaign Asset MetricsThe assetMetrics resource provides details on the metrics associated with one or more channels defined within a campaign. -
AudEmailLimitEnabledFlag: boolean
Maximum Length:
1Default Value:trueIndicates whether the audience email limit is enabled or not. -
AudienceCount: integer
(int64)
Total audience count associated with a campaign.
-
audienceDetails: array
Campaign Audience Details
Title:
Campaign Audience DetailsThe audienceDetails resource provides details on how to add and update the audience for a campaign. -
AudienceSavedSearchId: integer
(int64)
Audience based search criteria saved by the user.
-
boAssociation: array
Campaign Business Object Association
Title:
Campaign Business Object AssociationThe boAssociation resource creates and updates a campaign. -
CampaignCode: string
Title:
NumberMaximum Length:30Campaign number. -
CampaignDescription: string
(byte)
Title:
DescriptionCampaign description. -
CampaignDurationCode: string
Title:
DurationMaximum Length:30Identifies whether the campaign is ongoing or one-time. -
CampaignId: integer
(int64)
Internal identifier for the campaign.
-
CampaignLanguageCode: string
Title:
LanguagesMaximum Length:30Language associated with the campaign. -
CampaignMediumCode: string
Maximum Length:
32Default Value:ORA_BASICIndicates whether the campaign is an email and message or post based campaign. -
CampaignName: string
Title:
NameMaximum Length:240Name of the campaign. -
CampaignStatusCode: string
Title:
StatusMaximum Length:30Lookup code associated with campaign status. -
CampaignStatusMeaning: string
Read Only:
trueMaximum Length:255Campaign status. -
CampaignTypeCode: string
Maximum Length:
30Indicates whether the campaign is recruiting or communicate campaign. -
CancelledOnDate: string
(date-time)
Date on which the campaign was canceled.
-
categories: array
Campaign Categories
Title:
Campaign CategoriesThe categories resource creates and retrieves the category associated with a campaign. -
ClosedOnDate: string
(date-time)
Title:
Closed DateDate on which the campaign was closed. -
CreatedBy: string
Read Only:
trueMaximum Length:64Person who created the campaign. -
CreationDate: string
(date-time)
Read Only:
trueDate on which the campaign was created. -
EligObjId: integer
(int64)
Internal key defined for the combination of the campaign and audience selection.
-
EligPrflId: integer
(int64)
Internal identifier for the eligibility profile associated with a campaign audience.
-
externalWorkspaces: array
Campaign External Workspaces
Title:
Campaign External WorkspacesThe externalWorkspaces resource provides access to external workspace details for campaigns. -
goals: array
Campaigns Goals
Title:
Campaigns GoalsThe goals resource provides details on how to create and update the goals of a campaign. -
HCMListExtractionDate: string
(date-time)
Date when the HCM list was extracted.
-
HCMListId: integer
(int64)
Internal identifier for the HCM list associated with a campaign audience.
-
LastUpdateDate: string
(date-time)
Read Only:
trueDate on which the campaign was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64Person who last updated the campaign. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Session login associated to the user who last updated the campaign. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
msTeamsMessageMetrics: array
Metrics for Microsoft Teams Messages Associated with a Campaign
Title:
Metrics for Microsoft Teams Messages Associated with a CampaignThe msTeamsMessageMetrics resource provides details about Microsoft Teams message metrics. -
ObjectVersionNumber: integer
(int32)
Version number of the campaign row that the user retrieved.
-
owners: array
Campaign Owners
Title:
Campaign OwnersThe owners resource provides details on how to add and update the owners of a campaign. -
PurposeCode: string
Title:
PurposeMaximum Length:30Campaign purpose. -
requisitionMetrics: array
Campaign Job Requisition Metrics
Title:
Campaign Job Requisition MetricsThe requisitionMetrics resource provides details on how to retrieve the metrics associated with the requisition of a campaign. -
requisitions: array
Campaign Requisitions
Title:
Campaign RequisitionsThe requisitions resource provides details on how to create and update the job requisition of a campaign. -
RequisitionSavedSearchId: integer
(int64)
Requisition based search criteria saved by the user.
-
ResponseOption: string
Title:
Show Individual ResponsesMaximum Length:30Setting which allows the campaign manager to show or hide responses from the audience. -
SearchRequisitionsFlag: boolean
Maximum Length:
1Indicates whether the associated job requisition is fetched by a query or not. -
selectedLanguages: array
Campaign Languages
Title:
Campaign LanguagesThe selectedLanguages resource provides details on how to add and update the languages selected for a campaign. -
TargetGoalValue: integer
(int64)
Title:
Campaign GoalTarget goal value for a campaign. -
TeamDownloadAudienceFlag: boolean
Read Only:
trueMaximum Length:255Indicates whether the team can download the audience list. Valid values are Yes and No. Default is No. -
TeamId: integer
(int64)
Title:
TeamInternal identifier for the communication team. -
TeamName: string
Read Only:
trueMaximum Length:255Communication team name. -
uploadAudiences: array
Campaign Audience Upload Records
Title:
Campaign Audience Upload RecordsThe uploadAudiences resource provides details on how to add and update the languages selected for a campaign. -
VanityConfigId: integer
(int64)
Title:
Email Sender ProfileInternal identifier for a sender profile associated with a campaign.
Nested Schema : Campaign Channel Details
Type:
arrayTitle:
Campaign Channel DetailsThe assetDetails resource provides details on how to create and update channels on the campaign.
Show Source
Nested Schema : Campaign Asset Metrics
Type:
arrayTitle:
Campaign Asset MetricsThe assetMetrics resource provides details on the metrics associated with one or more channels defined within a campaign.
Show Source
Nested Schema : Campaign Audience Details
Type:
arrayTitle:
Campaign Audience DetailsThe audienceDetails resource provides details on how to add and update the audience for a campaign.
Show Source
Nested Schema : Campaign Business Object Association
Type:
arrayTitle:
Campaign Business Object AssociationThe boAssociation resource creates and updates a campaign.
Show Source
Nested Schema : Campaign Categories
Type:
arrayTitle:
Campaign CategoriesThe categories resource creates and retrieves the category associated with a campaign.
Show Source
Nested Schema : Campaign External Workspaces
Type:
arrayTitle:
Campaign External WorkspacesThe externalWorkspaces resource provides access to external workspace details for campaigns.
Show Source
Nested Schema : Campaigns Goals
Type:
arrayTitle:
Campaigns GoalsThe goals resource provides details on how to create and update the goals of a campaign.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Metrics for Microsoft Teams Messages Associated with a Campaign
Type:
arrayTitle:
Metrics for Microsoft Teams Messages Associated with a CampaignThe msTeamsMessageMetrics resource provides details about Microsoft Teams message metrics.
Show Source
Nested Schema : Campaign Owners
Type:
arrayTitle:
Campaign OwnersThe owners resource provides details on how to add and update the owners of a campaign.
Show Source
Nested Schema : Campaign Job Requisition Metrics
Type:
arrayTitle:
Campaign Job Requisition MetricsThe requisitionMetrics resource provides details on how to retrieve the metrics associated with the requisition of a campaign.
Show Source
Nested Schema : Campaign Requisitions
Type:
arrayTitle:
Campaign RequisitionsThe requisitions resource provides details on how to create and update the job requisition of a campaign.
Show Source
Nested Schema : Campaign Languages
Type:
arrayTitle:
Campaign LanguagesThe selectedLanguages resource provides details on how to add and update the languages selected for a campaign.
Show Source
Nested Schema : Campaign Audience Upload Records
Type:
arrayTitle:
Campaign Audience Upload RecordsThe uploadAudiences resource provides details on how to add and update the languages selected for a campaign.
Show Source
Nested Schema : communicateUICampaignDetails-assetDetails-item-response
Type:
Show Source
object-
AssetFrequency: integer
(int32)
Attribute for the frequency with which the grow notification email is sent out.
-
AssetId: integer
(int64)
Internal identifier for the channel associated with a campaign.
-
assetMetrics: array
Campaign Channel Metrics
Title:
Campaign Channel MetricsThe assetMetrics resource provides details on the metrics associated with one or more channels defined within a campaign. -
AssetName: string
Title:
NameMaximum Length:240Channel name. -
AssetStatusCode: string
Maximum Length:
30Lookup code of the channel status. -
AssetStatusMeaning: string
Read Only:
trueMaximum Length:255Channel status. -
AssetTypeCode: string
Maximum Length:
30Channel type. -
audienceSegments: array
Campaign Audience Segments
Title:
Campaign Audience SegmentsThe audienceSegments resource provides details on how to retrieve the segments associated with one or more channels defined within a campaign. -
CampaignId: integer
(int64)
Internal identifier for the campaign.
-
ContentLastModified: string
(date-time)
Read Only:
trueDate when the campaign content was last modified. -
CreatedBy: string
Read Only:
trueMaximum Length:64Person who created the channel. -
CreatedByDisplayName: string
Read Only:
trueMaximum Length:255Display name of the user who created the campaign asset. -
CreationDate: string
(date-time)
Read Only:
trueDate the channel was created. -
DesignMetadata: string
(byte)
Read Only:
trueDesign metadata for the campaign asset. This attribute contains detailed design information for the asset used in the campaign. -
FollowupDelay: integer
(int32)
Time between two specific communications.
-
Frequency: string
Maximum Length:
255Frequency with which the grow notification email is sent out. -
LastDeliveryDate: string
(date-time)
Title:
End DateChannel end date. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate the channel was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64Person who last updated the channel. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Session login associated to the user who last updated the channel. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MessageDesignId: integer
(int64)
Internal identifier for the email design page.
-
MSTeamsText: string
(byte)
Title:
MessageText content for Microsoft Teams associated with the campaign asset. -
notificationMetrics: array
Grow Notification Metrics
Title:
Grow Notification MetricsThe notificationMetrics resource provides details on how to retrieve the metrics associated with one or more notification email cycles. -
ObjectVersionNumber: integer
(int32)
Version number of the channel row that the user retrieved.
-
ParentAssetId: integer
(int64)
Internal identifier for the corresponding primary email or message.
-
postContent: array
Campaign Banner Details
Title:
Campaign Banner DetailsThe postContent resource provides details on how to create and update the banner associated with a post based campaign. -
PublishDestCode: string
Maximum Length:
32Lookup code for the destination where the application publishes the post. -
PublishDestMeaning: string
Read Only:
trueMaximum Length:255Destination where the application publishes the post. -
ScheduledDate: string
(date-time)
Title:
Delivery DateDate the channel was scheduled. -
SenderProfileConfigId: integer
Internal identifier for the sender profile used on the grow notification email.
-
SendImmediatelyFlag: boolean
Maximum Length:
1Indicates whether to send the campaign asset immediately. Valid values are Y and N. Default is N. -
SiteNumber: string
Maximum Length:
240Target site for social media post. -
SMSText: string
Title:
SMS TextMaximum Length:255SMS text. -
StartDeliveryDate: string
(date-time)
Title:
Initial Delivery DateChannel start date.
Nested Schema : Campaign Channel Metrics
Type:
arrayTitle:
Campaign Channel MetricsThe assetMetrics resource provides details on the metrics associated with one or more channels defined within a campaign.
Show Source
Nested Schema : Campaign Audience Segments
Type:
arrayTitle:
Campaign Audience SegmentsThe audienceSegments resource provides details on how to retrieve the segments associated with one or more channels defined within a campaign.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Grow Notification Metrics
Type:
arrayTitle:
Grow Notification MetricsThe notificationMetrics resource provides details on how to retrieve the metrics associated with one or more notification email cycles.
Show Source
Nested Schema : Campaign Banner Details
Type:
arrayTitle:
Campaign Banner DetailsThe postContent resource provides details on how to create and update the banner associated with a post based campaign.
Show Source
Nested Schema : communicateUICampaignDetails-assetDetails-assetMetrics-item-response
Type:
Show Source
object-
AssetId: integer
Read Only:
trueInternal identifier for a channel's metrics. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PrimaryClickedCount: number
Read Only:
trueUnique number of times primary action was clicked. -
SecondaryClickedCount: number
Read Only:
trueUnique number of times secondary action was clicked.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : communicateUICampaignDetails-assetDetails-audienceSegments-item-response
Type:
Show Source
object-
AssetId: integer
(int64)
Internal identifier of the audience segment.
-
AssetSegmentId: integer
(int64)
Segment identifier for the audience segment.
-
CreatedBy: string
Read Only:
trueMaximum Length:64Person who created the audience segment. -
CreationDate: string
(date-time)
Read Only:
trueDate when the audience segment was created. -
CriteriaTypeCode: string
Maximum Length:
30Criteria type code of the audience segment. -
GoalResponseId: integer
(int64)
Goal response identifier for the audience segments associated with the goal.
-
LastUpdateDate: string
(date-time)
Read Only:
trueDate when the audience segment was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64Person who last updated the audience segment. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Last session login associated to the user who last updated the audience segment. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectVersionNumber: integer
(int32)
Version number of the audience segment that the user retrieved.
-
SegmentTypeCode: string
Maximum Length:
30Segment type code of the audience segment.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : communicateUICampaignDetails-assetDetails-notificationMetrics-item-response
Type:
Show Source
object-
AssetFrequency: integer
(int32)
Read Only:
trueAttribute for the frequency with which the grow notification email is sent out. -
AssetId: integer
(int64)
Read Only:
trueInternal identifier for a grow notification's metrics. -
Clicks: number
Read Only:
trueCount of unique clicks registered on the grow notification email so far. -
LastDeliveryDate: string
(date-time)
Read Only:
trueDate after which the application won't send the grow notification email. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
NextCycleDate: string
(date-time)
Read Only:
trueDate on which the application will send the next grow notification email. -
NotificationId: integer
(int64)
Read Only:
trueUnique identifier of a grow notification. -
NotificationsSent: number
Read Only:
trueCount of all the grow notification emails sent so far. -
Opened: number
Read Only:
trueCount of all the unique opens on a grow notification email so far. -
StartDeliveryDate: string
(date-time)
Read Only:
trueDate on which the application sent the first grow notification email. -
TotalCycles: integer
Read Only:
trueTotal number of all the grow notification email cycles.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : communicateUICampaignDetails-assetDetails-postContent-item-response
Type:
Show Source
object-
AssetId: integer
(int64)
Internal identifier for a post.
-
CreatedBy: string
Read Only:
trueMaximum Length:64Person who created the banner. -
CreationDate: string
(date-time)
Read Only:
trueDate the banner was created. -
Description: string
Maximum Length:
1024Banner description. -
ImageURL: string
Maximum Length:
1000Default Value:DEFAULTURL for the banner image. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate the banner was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64Person who last updated the banner. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Session login associated to the user who last updated the banner. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectVersionNumber: integer
(int32)
Version number of the banner that the user retrieved.
-
PostContentId: integer
(int64)
Internal identifier for a banner.
-
PrimaryAssetURL: string
Maximum Length:
255URL associated with the primary action. -
PrimaryAssetURLId: integer
(int64)
Unique identifier for the primary action URL.
-
PrimaryDeepLinkId: integer
Unique identifier for the predefined link defined on the primary action button.
-
PrimaryLabel: string
Maximum Length:
64Primary action label. -
PrimaryLinkTypeCode: string
Maximum Length:
32Type of link associated with the primary action. -
SecondaryAssetURL: string
Maximum Length:
255URL associated with the secondary action. -
SecondaryAssetURLId: integer
(int64)
Unique identifier for the secondary action URL.
-
SecondaryDeepLinkId: integer
Unique identifier for the predefined link defined on the secondary action button.
-
SecondaryLabel: string
Maximum Length:
64Secondary action label. -
SecondaryLinkTypeCode: string
Maximum Length:
32Type of link associated with the secondary action. -
Title: string
Maximum Length:
256Banner title.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : communicateUICampaignDetails-assetMetrics-item-response
Type:
Show Source
object-
AssetId: integer
Read Only:
trueInternal identifier for the asset metrics. -
AssetName: string
Read Only:
trueMaximum Length:240Name of the selected asset. -
AssetStatusCode: string
Read Only:
trueMaximum Length:30Status code of the asset. -
AssetTypeCode: string
Read Only:
trueMaximum Length:30Type code of the asset. -
CampaignId: integer
(int64)
Read Only:
trueCampaign identifier for the asset metrics associated with the campaign. -
ClickCount: number
Read Only:
trueCount of unique clicks registered on the campaign email so far. -
DeliveredCount: number
Read Only:
trueCount of all the campaign emails delivered so far. -
LastDeliveryDate: string
(date-time)
Read Only:
trueDate when the last campaign email was delivered. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
NoMobileNumberCount: number
Read Only:
trueCount of all SMS sent on the campaign so far. -
OpenCount: number
Read Only:
trueOpen count on the campaign so far. -
ParentAssetId: integer
(int64)
Read Only:
trueParent asset identifier. -
ScheduledDate: string
(date-time)
Read Only:
trueDate when the asset is scheduled. -
SentCount: number
Read Only:
trueCount of all the campaign emails sent so far. -
StartDeliveryDate: string
(date-time)
Read Only:
trueDate when the campaign email was first delivered. -
SubjectCode: string
Read Only:
trueMaximum Length:240Subject code to identify the recruiting or communicate campaign asset. -
TotalCount: number
Read Only:
trueTotal audience count associated with the campaign. -
UndeliveredCount: number
Read Only:
trueCount of all the campaign emails undelivered so far. -
UnsentCount: number
Read Only:
trueCount of all the campaign emails unsent so far. -
UnsubscribedCount: integer
Read Only:
trueCount of all the campaign emails unsubscribed so far.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : communicateUICampaignDetails-audienceDetails-item-response
Type:
Show Source
object-
AddedAudienceCount: integer
Read Only:
trueNumber of audience members added to the campaign. -
attachments: array
Attachments
Title:
AttachmentsThe attachments resource is used to view, create, and update attachments. -
AudienceCount: integer
Read Only:
trueTotal number of employees who will see the post. -
AudienceCriteria: string
(byte)
Audience criteria for defining the target audience in a campaign. This attribute specifies the conditions or rules used to filter and select the audience.
-
AudienceExtractionDate: string
(date-time)
Read Only:
trueDate when the audience was extracted. -
AudienceExtractionStatus: string
Maximum Length:
30Indicates the status of audience extraction for the campaign. Valid values are In Progress, Completed, and Failed. Default is In Progress. -
AudienceId: integer
(int64)
Internal identifier for the association between a campaign and its corresponding audience.
-
AudienceSourceId: integer
(int64)
Title:
AudienceInternal identifier for the selected audience list. -
AudienceSourceName: string
Read Only:
trueMaximum Length:255Name of the selected audience list. -
AudienceSourceType: string
Title:
Audience TypeMaximum Length:64Type of audience list. -
CampaignAudienceSourceItems: array
Campaign Target Audience Details
Title:
Campaign Target Audience DetailsThe CampaignAudienceSourceItems resource provides the target audience for a campaign. -
CampaignId: integer
(int64)
Internal identifier for the campaign.
-
ColumnMapping: string
(byte)
Mapping of columns for the campaign audience details. This attribute defines how data fields are aligned for processing.
-
CreatedBy: string
Read Only:
trueMaximum Length:64Person who added the audience. -
CreationDate: string
(date-time)
Read Only:
trueDate the audience was added to the campaign. -
CustomTokens: string
(byte)
Custom tokens used in the campaign audience details. These tokens personalize the communication content.
-
Description: string
Maximum Length:
4000Description of the campaign audience details. This field provides additional context or information about the audience targeted in the campaign. -
ExcludedAudienceCount: integer
Read Only:
trueNumber of audience members excluded from the campaign. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate the audience was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64Person who last updated the audience. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Session login associated to the user who last updated the audience. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
metrics: array
Campaign Audience Details Metrics
Title:
Campaign Audience Details MetricsThe metrics resource retrieves the metrics associated with the audience for a campaign. -
ObjectVersionNumber: integer
(int32)
Version number associated with the audience that the user retrieved.
-
RefreshFlag: boolean
Maximum Length:
1Default Value:trueIndicates whether to refresh the audience details. Valid values are true and false. Default is false. -
Status: string
Maximum Length:
30Default Value:ORA_ACTIVEIndicates the current status of the audience details in the campaign. This field reflects whether the audience is active, inactive, or another status defined by the application.
Nested Schema : Attachments
Type:
arrayTitle:
AttachmentsThe attachments resource is used to view, create, and update attachments.
Show Source
Nested Schema : Campaign Target Audience Details
Type:
arrayTitle:
Campaign Target Audience DetailsThe CampaignAudienceSourceItems resource provides the target audience for a campaign.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Campaign Audience Details Metrics
Type:
arrayTitle:
Campaign Audience Details MetricsThe metrics resource retrieves the metrics associated with the audience for a campaign.
Show Source
Nested Schema : communicateUICampaignDetails-audienceDetails-attachments-item-response
Type:
Show Source
object-
AsyncTrackerId: string
Title:
Asynchronous Upload Tracker IdAttribute provided for the exclusive use by the Attachment UI components to assist in uploading files. -
AttachedDocumentId: integer
(int64)
Title:
Attached Document IdThe unique identifier of the attached document. -
CategoryName: string
Title:
CategoryMaximum Length:30The category of the attachment. - ContentRepositoryFileShared: boolean
-
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:255The user who created the record. -
CreatedByUserName: string
Title:
Created By User NameRead Only:trueThe user name who created the record. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueThe date when the record was created. -
DatatypeCode: string
Title:
TypeMaximum Length:30Default Value:FILEA value that indicates the data type. -
Description: string
Title:
DescriptionMaximum Length:255The description of the attachment. -
DmDocumentId: string
Maximum Length:
255The document ID from which the attachment is created. -
DmFolderPath: string
Title:
Dm Folder PathMaximum Length:1000The folder path from which the attachment is created. -
DmVersionNumber: string
Maximum Length:
255The document version number from which the attachment is created. -
DownloadInfo: string
Title:
DownloadInfoJSON object represented as a string containing information used to programmatically retrieve a file attachment. -
ErrorStatusCode: string
Title:
Error Status CodeThe error code, if any, for the attachment. -
ErrorStatusMessage: string
Title:
Error Status MessageThe error message, if any, for the attachment. -
ExpirationDate: string
(date-time)
Title:
Expiration DateThe expiration date of the contents in the attachment. -
FileContents: string
(byte)
Title:
File ContentsThe contents of the attachment. -
FileName: string
Title:
File NameMaximum Length:2048The file name of the attachment. -
FileUrl: string
Title:
File UrlThe URI of the file. -
FileWebImage: string
(byte)
Title:
File Web ImageRead Only:trueThe base64 encoded image of the file displayed in .png format if the source is a convertible image. -
LastUpdateDate: string
(date-time)
Title:
Last Update DateRead Only:trueThe date when the record was last updated. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:255The user who last updated the record. -
LastUpdatedByUserName: string
Title:
Last Updated By UserRead Only:trueThe user name who last updated the record. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PostProcessingAction: string
Title:
PostProcessingActionThe name of the action that can be performed after an attachment is uploaded. -
Title: string
Title:
TitleThe title of the attachment. -
UploadedFileContentType: string
Title:
Uploaded File Content TypeThe content type of the attachment. -
UploadedFileLength: integer
Title:
File SizeThe size of the attachment file. -
UploadedFileName: string
Title:
Uploaded File NameThe name to assign to a new attachment file. -
UploadedText: string
Title:
Uploaded TextThe text content for a new text attachment. -
Uri: string
Title:
UriMaximum Length:4000The URI of a Topology Manager type attachment. -
Url: string
Title:
UrlMaximum Length:4000The URL of a web page type attachment. -
UserName: string
Title:
User NameRead Only:trueMaximum Length:255The login credentials of the user who created the attachment.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : communicateUICampaignDetails-audienceDetails-CampaignAudienceSourceItems-item-response
Type:
Show Source
object-
AudienceId: integer
(int64)
Internal identifier for the source of the campaign audience.
-
AudienceItemId: integer
(int64)
Unique identifier generated by the application for the campaign target audience.
-
ItemId: integer
(int64)
Unique identifier generated by user input for the campaign target audience.
-
ItemMeaning: string
Read Only:
trueMaximum Length:255Name of the campaign target audience. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : communicateUICampaignDetails-audienceDetails-metrics-item-response
Type:
Show Source
object-
AudienceCount: integer
Audience count associated with the campaign.
-
AudienceId: integer
(int64)
Audience identifier.
-
CreatedBy: string
Read Only:
trueMaximum Length:64Person who added the metrics. -
CreationDate: string
(date-time)
Read Only:
trueDate when the metrics were added to the campaign. -
EntityId: integer
(int64)
Entity identifier for the audience criteria.
-
EntityName: string
Maximum Length:
2000Name of the selected entity. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate when the audience metrics were last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64Person who last updated the audience metrics. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Session login associated to the user who last updated the audience metrics. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MetricId: integer
(int64)
Internal identifier for a metric.
-
MetricType: string
Maximum Length:
30Types of metrics. -
ObjectVersionNumber: integer
(int32)
Version number associated with the audience metrics that the user retrieved.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : communicateUICampaignDetails-boAssociation-item-response
Type:
Show Source
object-
BoAssignedAfterDate: string
(date-time)
Title:
Journey Assigned AfterBusiness object assignment date. -
boAssocItems: array
Campaign Business Object Association Items
Title:
Campaign Business Object Association ItemsThe boAssocItems resource retrieves the items associated with the business object association for a campaign. -
BoGoal: string
Maximum Length:
30Name of the business object goal -
BoType: string
Maximum Length:
30Type of business object association. -
CampaignId: integer
(int64)
Internal identifier for the campaign associated with the business object association.
-
CampBoId: integer
(int64)
Internal identifier for the business object association.
-
CreatedBy: string
Read Only:
trueMaximum Length:64Person who added the business object association. -
CreationDate: string
(date-time)
Read Only:
trueDate when the business object association was added to the campaign. -
ExcludeBoAudFlag: boolean
Maximum Length:
1Exclude business object association audience indicator for the campaign. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate when the business object association was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64Person who last updated the business object association. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Session login associated to the user who last updated the business object association. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectVersionNumber: integer
(int32)
Version number associated with the business object association that the user retrieved.
Nested Schema : Campaign Business Object Association Items
Type:
arrayTitle:
Campaign Business Object Association ItemsThe boAssocItems resource retrieves the items associated with the business object association for a campaign.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : communicateUICampaignDetails-boAssociation-boAssocItems-item-response
Type:
Show Source
object-
BoId: integer
(int64)
Internal identifier for the business object.
-
campaignBoMetrics: array
Campaign Business Object Association Metrics
Title:
Campaign Business Object Association MetricsThe campaignBoMetrics resource retrieves the metrics associated with the business object association for a campaign. -
CampBoId: integer
(int64)
Internal identifier for the business object association.
-
CampBoItemId: integer
(int64)
Internal identifier for the business object association items.
-
CreatedBy: string
Read Only:
trueMaximum Length:64Person who added the business object association items. -
CreationDate: string
(date-time)
Read Only:
trueDate when the business object association items were added to the campaign. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate when the business object association items were last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64Person who last updated the business object association items. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Session login associated to the user who last updated the business object association items. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectVersionNumber: integer
(int32)
Version number associated with the business object association items that the user retrieved.
Nested Schema : Campaign Business Object Association Metrics
Type:
arrayTitle:
Campaign Business Object Association MetricsThe campaignBoMetrics resource retrieves the metrics associated with the business object association for a campaign.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : communicateUICampaignDetails-boAssociation-boAssocItems-campaignBoMetrics-item-response
Type:
Show Source
object-
CampBoItemId: integer
(int64)
Internal identifier for the campaign business object metrics associated with the business object association items.
-
Count: integer
(int32)
Total audience count associated with the campaign business object metrics.
-
CreatedBy: string
Read Only:
trueMaximum Length:64Person who added the business object metrics. -
CreationDate: string
(date-time)
Read Only:
trueDate when the business object metrics items were added to the campaign. -
DisplayContext: string
Maximum Length:
30Context for the business object association. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate the business object metrics were last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64Person who last updated the business object metrics. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Session login associated to the user who last updated the business object metrics. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MetricId: integer
(int64)
Internal identifier for the campaign business object metrics.
-
ObjectVersionNumber: integer
(int32)
Version number associated with the business object metrics that the user retrieved.
-
Status: string
Maximum Length:
30Status of the business object association.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : communicateUICampaignDetails-categories-item-response
Type:
Show Source
object-
CampaignId: integer
(int64)
Campaign identifier for the category associated with the campaign.
-
CampCategoryId: integer
(int64)
Internal identifier for the category.
-
CategoryCode: string
Maximum Length:
30Lookup code for the category. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : communicateUICampaignDetails-externalWorkspaces-item-response
Type:
Show Source
object-
CampaignId: integer
(int64)
Unique identifier for the campaign associated with the external workspace.
-
CampExternalWorkspaceId: integer
(int64)
Unique identifier for the external workspace associated with the campaign.
-
CampTeamExternalMsgSenderId: integer
(int64)
Unique identifier for the external message sender in the campaign team.
-
channels: array
Campaign External Channels
Title:
Campaign External ChannelsThe channels resource provides access to external communication channels for campaigns. -
CreatedBy: string
Read Only:
trueMaximum Length:64Identifies the user who created the external workspace. -
CreationDate: string
(date-time)
Read Only:
trueDate when the external workspace was created. -
LastUpdateDate: string
(date-time)
Read Only:
trueLast updated date and time of the external workspace. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64Last updated by information for the external workspace in the campaign. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Last update login identifier for the external workspace. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectVersionNumber: integer
(int32)
Unique identifier for the version of the external workspace object. This value helps in tracking changes to the workspace.
-
TeamId: string
Maximum Length:
64Unique identifier for the team associated with the external workspace. -
TeamName: string
Maximum Length:
128Name of the team associated with the external workspace.
Nested Schema : Campaign External Channels
Type:
arrayTitle:
Campaign External ChannelsThe channels resource provides access to external communication channels for campaigns.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : communicateUICampaignDetails-externalWorkspaces-channels-item-response
Type:
Show Source
object-
CampExternalChannelId: integer
(int64)
Unique identifier for the external channel used in the campaign.
-
CampExternalWorkspaceId: integer
(int64)
Unique identifier for the external workspace channel associated with the campaign.
-
ChannelId: string
Maximum Length:
128Unique identifier for the external channel used in the campaign. -
ChannelName: string
Maximum Length:
128Name of the external channel used in the campaign communication. -
CreatedBy: string
Read Only:
trueMaximum Length:64Indicates who created the external channel for the campaign. This field is read-only and automatically populated by the application. -
CreationDate: string
(date-time)
Read Only:
trueDate when the external channel was created. -
LastUpdateDate: string
(date-time)
Read Only:
trueLast updated date and time of the external channel for the campaign. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64Last updated by information for the campaign external channel. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Last updated login identifier for the external channel. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectVersionNumber: integer
(int32)
Unique identifier for the version of the campaign external channel object. This value helps in tracking changes to the object.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : communicateUICampaignDetails-goals-item-response
Type:
Show Source
object-
CampaignId: integer
(int64)
Campaign identifier for the goals associated with the campaign.
-
CreatedBy: string
Read Only:
trueMaximum Length:64Person who created the goals. -
CreationDate: string
(date-time)
Read Only:
trueDate when the goals were added to the campaign. -
GoalId: integer
(int64)
Internal identifier for the goals.
-
GoalName: string
Title:
QuestionMaximum Length:240Name of the goals. -
GoalTypeCode: string
Maximum Length:
30Types of the goals. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate when the goals were last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64Person who last updated the goals. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Session login associated to the user who last updated the goals. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectVersionNumber: integer
(int32)
Version number associated with the goals that the user retrieved.
-
PrimaryGoalFlag: boolean
Maximum Length:
1Indicates whether the primary goal is enabled or not -
responseChoices: array
Campaign Goal Response Choices
Title:
Campaign Goal Response ChoicesThe responseChoices resource provides details on how to retrieve the response choices associated with the goals of a campaign. -
responseMetrics: array
Campaign Goal Response Metrics
Title:
Campaign Goal Response MetricsThe responseMetrics resource provides details on how to retrieve the response metrics associated with the goals of a campaign. -
SystemGoalFlag: boolean
Maximum Length:
1Indicates whether the system goal is enabled or not
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Campaign Goal Response Choices
Type:
arrayTitle:
Campaign Goal Response ChoicesThe responseChoices resource provides details on how to retrieve the response choices associated with the goals of a campaign.
Show Source
Nested Schema : Campaign Goal Response Metrics
Type:
arrayTitle:
Campaign Goal Response MetricsThe responseMetrics resource provides details on how to retrieve the response metrics associated with the goals of a campaign.
Show Source
Nested Schema : communicateUICampaignDetails-goals-responseChoices-item-response
Type:
Show Source
object-
CreatedBy: string
Read Only:
trueMaximum Length:64Person who added the response choices of the goals. -
CreationDate: string
(date-time)
Read Only:
trueDate when the response choices of the goals were added to the campaign. -
DestinationURL: string
Title:
Response Destination Page URLMaximum Length:1000Response choices destination URL. -
GoalId: integer
(int64)
Internal identifier for the response choices associated with goals.
-
GoalResponseId: integer
(int64)
Internal identifier for the response choices.
-
IncludeInTargetFlag: boolean
Title:
Counts Toward GoalMaximum Length:1Default Value:falseIndicates whether the include in target is enabled or not. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate when the response choices were last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64Person who last updated the response choices. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Session login associated to the user who last updated the response choices. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectVersionNumber: integer
(int32)
Version number associated with the response choices that the user retrieved.
-
ResponseLabel: string
Title:
ResponseMaximum Length:240Response choices label. -
UseDefaultURLFlag: boolean
Title:
Response Destination PageMaximum Length:1Default Value:falseDefault URL flag for response choices.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : communicateUICampaignDetails-goals-responseMetrics-item-response
Type:
Show Source
object-
GoalId: integer
Read Only:
trueInternal identifier for the response metrics associated with goals. -
GoalResponseId: integer
(int64)
Read Only:
trueInternal identifier for the response metrics associated with response choices. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ResponseCount: number
Read Only:
trueResponse count for the response choices -
ResponseLabel: string
Read Only:
trueMaximum Length:240Label for the response choices.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : communicateUICampaignDetails-msTeamsMessageMetrics-item-response
Type:
Show Source
object-
AssetId: integer
(int64)
Read Only:
trueUnique identifier for the asset in the Microsoft Teams message metrics. -
AssetName: string
Read Only:
trueMaximum Length:240Name of the asset used in the Microsoft Teams message metrics. -
AssetStatusCode: string
Read Only:
trueMaximum Length:30Indicates the status of the asset in Microsoft Teams. Valid values are Active and Inactive. Default is Inactive. -
channelMessages: array
Metrics for Messages Sent Through Microsoft Teams Channels
Title:
Metrics for Messages Sent Through Microsoft Teams ChannelsThe channelMessages resource provides details about messages in Microsoft Teams channels. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ScheduleDate: string
(date-time)
Read Only:
trueDate when the Microsoft Teams message is scheduled to send.
Nested Schema : Metrics for Messages Sent Through Microsoft Teams Channels
Type:
arrayTitle:
Metrics for Messages Sent Through Microsoft Teams ChannelsThe channelMessages resource provides details about messages in Microsoft Teams channels.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : communicateUICampaignDetails-msTeamsMessageMetrics-channelMessages-item-response
Type:
Show Source
object-
AiDiscussionSummary: string
(byte)
Title:
Discussion SummaryRead Only:trueSummary of AI-driven discussions for the Microsoft Teams channel message. This attribute provides insights into the key points or themes discussed in the message. -
AssetId: integer
(int64)
Read Only:
trueUnique identifier for the asset associated with the Microsoft Teams channel message. -
CampChannelMessageId: integer
(int64)
Read Only:
trueUnique identifier for the campaign channel message. -
ChannelName: string
Read Only:
trueMaximum Length:128Name of the Microsoft Teams channel where the message was sent. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MessageId: string
Read Only:
trueMaximum Length:18Unique identifier for the message in the Microsoft Teams channel. -
PostAs: string
Read Only:
trueMaximum Length:255Indicates the format in which the message is posted. Valid values are text and HTML. Default is text. -
TeamName: string
Read Only:
trueMaximum Length:128Name of the Microsoft Teams channel where the message was sent. -
TotalReaction: number
Title:
ReactionsRead Only:trueTotal count of reactions received on the Microsoft Teams channel message. -
TotalReplies: number
Title:
RepliesRead Only:trueTotal number of replies to the message in the Microsoft Teams channel.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : communicateUICampaignDetails-owners-item-response
Type:
Show Source
object-
AssignmentId: integer
(int64)
Internal identifier for the employee's assignment.
-
CollaboratorRespTypeCode: string
Maximum Length:
30Lookup code for the collaborator type. -
CreatedBy: string
Read Only:
trueMaximum Length:64Person who added the campaign owner. -
CreationDate: string
(date-time)
Read Only:
trueDate the campaign owner was added to the campaign. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate the list of campaign owners was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64Person who last updated the list of campaign owners. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Session login associated to the user who last updated the list of campaign owners. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MemberTypeCode: string
Maximum Length:
30Lookup code for the member type. -
ObjectId: integer
(int64)
Unique identifier for the entity the campaign owner's working on.
-
ObjectType: string
Maximum Length:
30Type of entity the campaign owner's working on. -
ObjectVersionNumber: integer
(int32)
Version number associated with the list of campaign owners that the user retrieved.
-
PersonId: integer
(int64)
Person identifier for the campaign owner.
-
TeamMemberId: integer
(int64)
Internal identifier for a campaign owner associated with a specific campaign.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : communicateUICampaignDetails-requisitionMetrics-item-response
Type:
Show Source
object-
CampaignId: integer
(int64)
Read Only:
trueCampaign identifier in the associated job requisition metrics. -
GoalTypeCode: string
Read Only:
trueMaximum Length:30Goal type for the job requisition metrics. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MetricCount: number
Read Only:
trueResponse count for the job requisition metrics.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : communicateUICampaignDetails-requisitions-item-response
Type:
Show Source
object-
CampaignId: integer
(int64)
Campaign identifier in the requisition.
-
CampaignRequisitionId: integer
(int64)
Requisition identifier of the requisition associated with a campaign.
-
CreatedBy: string
Read Only:
trueMaximum Length:64Person who created the requisition. -
CreationDate: string
(date-time)
Read Only:
trueDate when the requisition was added to the campaign. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate when the requisition associated with the campaign was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64Person who last updated the requisition associated to the campaign. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Session login associated to the user who last updated the requisition associated to the campaign. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectVersionNumber: integer
(int32)
Version number of the requisition associated to the campaign.
-
RequisitionId: integer
(int64)
Identifier of the requisition associated ot the campaign.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : communicateUICampaignDetails-selectedLanguages-item-response
Type:
Show Source
object-
CampaignId: integer
(int64)
Internal identifier for the campaign.
-
CampLanguageId: integer
(int64)
Internal identifier for a selected language associated with a specific campaign.
-
CreatedBy: string
Read Only:
trueMaximum Length:64Person who added the selected language. -
CreationDate: string
(date-time)
Read Only:
trueDate the selected language was added to the campaign. -
IsBaseFlag: boolean
Maximum Length:
1Indicates whether the selected language is the base language for the campaign. -
LanguageCode: string
Maximum Length:
4Language code of the selected language. -
LanguageDescription: string
Read Only:
trueMaximum Length:255Language name of the selected language. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate the selected language was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64Person who last updated the selected language. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Session login associated to the user who last updated the selected language. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectVersionNumber: integer
(int32)
Version number associated with the selected language that the user retrieved.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : communicateUICampaignDetails-uploadAudiences-item-response
Type:
Show Source
object-
AudienceId: integer
(int64)
Read Only:
trueUnique identifier for the uploaded audience file. -
AudienceUploadId: integer
Read Only:
trueUnique identifier for each employee record which has been uploaded via a spreadsheet. -
CampaignId: integer
(int64)
Read Only:
trueUnique Identifier for the campaign. -
CreatedBy: string
Read Only:
trueMaximum Length:64User name of the person who created the campaign. -
CreationDate: string
(date-time)
Read Only:
trueDate and time when the audience was uploaded. -
DataJson: string
(byte)
Read Only:
trueEmployee record from the uploaded audience file. -
Email: string
Read Only:
trueMaximum Length:100Email address of the employee. -
ErrorCode: string
Read Only:
trueMaximum Length:30Error code for an employee record. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate and time when the audience upload record was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User name of the person who performed the last update. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Internal identifier of the person who performed the last update. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectVersionNumber: integer
(int32)
Read Only:
trueVersion number for an updated employee record. -
PersonId: integer
(int64)
Read Only:
trueUnique identifier for an individual person. -
Phone: string
Read Only:
trueMaximum Length:100Phone number associated with an employee. -
Status: string
Read Only:
trueMaximum Length:30Upload status of each employee record.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Links
- campaignAction
-
Allows user to perform various actions on the campaign based on the campaign status.
- canUserManageAllHCMCampaigns
-
Operation: /hcmRestApi/resources/11.13.18.05/communicateUICampaignDetails/action/canUserManageAllHCMCampaignsChecks if the logged in user is a superuser and can manage all Communicate campaigns.